WA_reconstruction <-
function(y,analdist,analist,kana,seuil) 
{
	nz<-nrow(analdist)
	my<-ncol(y)
	ny<-nrow(y)
	ye<-list(title="matrix of y reconstruction: rmean=weighted mean of the analogues / rmin, rmax = resp. min and max of the analogues retained")
	ye$rmean <- matrix(NA,ncol=my,nrow=nz)
	ye$rmin <- matrix(NA,ncol=my,nrow=nz)
	ye$rmax <- matrix(NA,ncol=my,nrow=nz)
	ye$nbanal <- rep(NA,nz)
	ye$mindist <- rep(NA,nz)
	ye$maxdist <- rep(NA,nz)
	ye$analist=matrix(NA,nz,kana)
	ye$analdist=matrix(NA,nz,kana)
	
	for (i in 1:nz) {
		if (analdist[i,1]==0) {
			analdist[i,1:kana]=analdist[i,2:(kana+1)]
			analist[i,1:kana]=analist[i,2:(kana+1)]
			}
		poids <- 1/analdist[i,]
		k2<-0
		for (k in 1:kana) {
			if (analdist[i,k]<=seuil & analist[i,k]>0) {k2=k}
		}
		if (k2>=1) {
			for (j in 1:my) {
				ye$rmean[i,j]=poids[1:k2] %*% y[ analist[i,1:k2], j]
				somme=sum(poids[1:k2])
				ye$rmean[i,j]<-ye$rmean[i,j]/somme
				ye$rmin[i,j]<-min(y[analist[i,1:k2],j])
				ye$rmax[i,j]<-max(y[analist[i,1:k2],j])
			}
			ye$nbanal[i]<-k2
			ye$mindist[i]<-analdist[i,1]
			ye$maxdist[i]<-analdist[i,k2]
		}
		ye$analist[i,]=analist[i,1:kana]
		ye$analdist[i,]=analdist[i,1:kana]
	}
	return(ye)
}
