\name{linreg}
\alias{linreg}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ stepwise linear regression }
\description{
  calculate the best combination of predictors among a matrix of potential predictors; return the statistics in the outfile and the estimates in the output matrix
}
\usage{
output=linreg(xmatname,ymatname,outfile=NULL)
}
\arguments{
  \item{xmatname}{ \code{xmatname} is the matrix of the potential predictors }
  \item{ymatname}{ \code{ymatname} is the matrix of the predictands }
  \item{outfile}{ \code{outfile} is the filename for the log and graphics }
}
\details{
  This script uses "lm" and "step" from library "MASS". It calculates a linear regression model between all the columns of "ymatname" (separately) and the columns of "xmatname".
  Then it select the best combination of predictors by using "step"
  All the statitistics necessary to interprete the regression coefficients and the global significance of the model selected  are given in file "outfile"
}
\value{
  Output is the matrix of the estimates of "ymatname" by using the best combination of predictors

}
\references{ ~ ~ }
\author{ J. Guiot }
\note{ void
}
\examples{
output=linreg(globclim[,1:3],globclim[,4])
}

% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ multivariate statistics }
\keyword{ multiple regression }

