readRWL <-
function(filenam){
	RWL = read.table(filenam, fill=T, na.strings="",as.is=3:12)
	RWL=RWL[-(1:3),]
	ECH= as.vector(unique(RWL[,1]))
	YR = min(RWL[,2]):(max(RWL[,2])+10)

	Dendro = matrix(NA, length(YR), length(ECH))
	rownames(Dendro)= YR
	colnames(Dendro)= ECH

	for (i in ECH) {
		index = which(RWL[,1]==i)
		RWL_ech = RWL[index, ]
	
	
		for (j in 1: nrow(RWL_ech)){
		 
				
		
			L = is.na(RWL_ech[j,])
			LF = length(L[L==F])
			test999 = RWL_ech[j,]==999 | RWL_ech[j,]==-9999 | RWL_ech[j,]==-9990
			L999 = test999[test999==F]
			L999 = which(L999==F)
			L999 = length(L999)
			Diff = LF-L999
		
			if (Diff>0){
			
				idx = which(test999==FALSE)
				if (length(idx)<3) break
				idx =idx[-c(1,2)]
			
				m1 = RWL_ech[j,2]
				m2 = m1+length(idx)-1 # enleve -999 et 2 1ere colonnes
				i1 = which(rownames(Dendro)==m1)
				i2 = which(rownames(Dendro)==m2)
				col = colnames(RWL_ech)[idx]
				}
			
			else {
				
				element = which(L==F)		
				beg_L = min(element)
				end_L = max(element)
				V = colnames(L)[beg_L:end_L]
	
				col =V[-c(1,2)]
				id = length(col)
				m1 = RWL_ech[j,2]
				m2 = m1+id-1
				i1 = which(rownames(Dendro)==m1)
				i2 = which(rownames(Dendro)==m2)
				}
			Dendro[i1:i2,i] =as.numeric(unlist(RWL_ech[j,col]))
		}
	
	}
	#cleanup_id = apply(Dendro, 1, mean, na.rm=T)
	#clean_up = which(cleanup_id>=0)
	#Dendro=Dendro[clean_up,]
	
	return(Dendro)	
}
